Bug 678635 (CVE-2011-0192) - CVE-2011-0192 libtiff: buffer overflow in Fax4Decode
Summary: CVE-2011-0192 libtiff: buffer overflow in Fax4Decode
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0192
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110302,reported=20110215,sou...
Depends On: 679294 679295 679296 679297 679298 679299 681672 809171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 17:28 UTC by Jan Lieskovsky
Modified: 2019-06-11 10:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-13 15:31:49 UTC


Attachments (Terms of Use)
testing results (3.51 KB, application/x-gzip)
2011-03-02 10:16 UTC, Martin Cermak
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0318 normal SHIPPED_LIVE Important: libtiff security update 2011-03-03 01:10:04 UTC

Description Jan Lieskovsky 2011-02-18 17:28:55 UTC
A heap-based buffer overflow was found in the way TIFF (Tagged Image File
Format) image files manipulating library expanded certain rows of 2D-encoded
data, when processing TIFF Internet Fax image files, compressed with CCITT
group 4 compression algorithm. If an attacker created a specially-crafted
image file and tricked a local, unsuspecting user into loading the image
file in an application that uses the TIFF image manipulating library, it
could cause that application to crash or, potentially, execute arbitrary
code with the privileges of the user running the application.

Comment 2 Jan Lieskovsky 2011-02-18 17:40:07 UTC
This issue affects the version of the libtiff package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the libtiff package, as shipped
with Fedora release of 13 and 14.

Comment 19 Vincent Danen 2011-03-02 21:49:06 UTC
Acknowledgements:

Red Hat would like to thank Apple Product Security for reporting this issue.

Comment 21 Vincent Danen 2011-03-02 21:50:11 UTC
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 681672]

Comment 22 errata-xmlrpc 2011-03-03 01:10:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2011:0318 https://rhn.redhat.com/errata/RHSA-2011-0318.html

Comment 23 Even Rouault 2011-03-08 19:25:51 UTC
This fix is believed to cause a regression when reading CCITFAX4 compressed TIFF file that could be read successfully before. See http://bugzilla.maptools.org/show_bug.cgi?id=2297

Comment 24 Tom Lane 2011-03-10 17:37:03 UTC
Sigh.  Even is right: this fix is busted and will reject files that should be accepted, including some produced by libtiff itself.  See analysis and corrected patch at the upstream bug linked in comment #23.

Comment 26 Tomas Hoger 2012-07-13 15:31:49 UTC
(In reply to comment #23)
> This fix is believed to cause a regression when reading CCITFAX4 compressed
> TIFF file that could be read successfully before. See
> http://bugzilla.maptools.org/show_bug.cgi?id=2297

This regression was fixed in RHSA-2011:0392:
  https://rhn.redhat.com/errata/RHSA-2011-0392.html


Note You need to log in before you can comment on or make changes to this bug.